%global dlrn_nvr ansible-config_template-2.0.1.dev5-1.20230517174107.7951228
%global dlrn 1
%define upstream_version 2.0.1.dev5
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x2426b928085a020d8a90d0d879ab7008d0896c8a

%global srcname ansible-config_template

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{srcname}
Version: 2.0.1
Release: 17.1.20230517174107.7951228%{?dist}
Summary:        Ansible plugin for config template

License:        ASL 2.0
URL:            https://opendev.org/openstack/%{srcname}
Source0: ansible-config_template-2.0.1.dev5-1.20230517174107.7951228.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=795122864bb33aacac33d71360990b252185eff1

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{srcname}/%{srcname}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif
BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr

Requires:       (python3dist(ansible) or ansible-core >= 2.11)

%description

Ansible plugin for config template

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{srcname}-%{upstream_version} -S git


%build
%{py3_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{py3_install}


%files
%doc README*
%license LICENSE
%{python3_sitelib}/ansible_config_template*.egg-info
%{_datadir}/ansible/


%changelog
* Thu Jun 29 2023 Miguel Garcia <mgarciac@redhat.com> 2.0.1-17.1.20230517174107.7951228
- Add RHOSP version to Release

* Wed May 17 2023 OSP Prod Chain <dev-null@redhat.com> 2.0.1-1.20230517174107.7951228
- Update patches
- setup.cfg: Replace dashes with underscores
- Add support for start/end_string arguments

* Wed May 17 2023 OSP Prod Chain <dev-null@redhat.com> 2.0.1-1.20230517144033.8d14af7
- Update patches

* Fri May 05 2023 OSP Prod Chain <dev-null@redhat.com> 2.0.1-1.20230506004008.8d14af7
- Update patches
- Add support for start/end_string arguments

* Thu May 04 2023 OSP Prod Chain <dev-null@redhat.com> 2.0.1-1.20230505014040.2a59c04
- Update patches
- setup.cfg: Replace dashes with underscores

* Thu May 04 2023 OSP Prod Chain <dev-null@redhat.com> 2.0.1-1.20230505004022.7951228
- setup.cfg: Replace dashes with underscores

* Wed Mar 29 2023 OSP Prod Chain <dev-null@redhat.com> 2.0.1-1.20230330003852.7951228
- Update patches
- Remove TripleO jobs

* Mon Mar 27 2023 OSP Prod Chain <dev-null@redhat.com> 2.0.1-1.20230327223752.26a8d94
- Update patches
- Replace deprecated whitelist_externals

* Fri Oct 14 2022 OSP Prod Chain <dev-null@redhat.com> 2.0.1-1.20221014095713.b5e0cb2
- Update patches
- remove unicode prefix from code

* Mon Oct 03 2022 OSP Prod Chain <dev-null@redhat.com> 2.0.1-1.20221003153712.2ccc59f
- Update patches
- document the removal of keys in ini files

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 2.0.0-1.20220728030212.dae35c0
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 2.0.0-1.20220727195008.dae35c0
- Update patches

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.2-1.20220718132446.dae35c0
- Update patches
- Update documentation about installation methods
- Publish openstack.config_template on galaxy
- Add more complete examples with sample output
- Add blank lines between functions and classes
- Release config-template to 1.3.0
- Use ensure SafeDumper used yaml configs
- Remove orphaned releasenotes

* Wed Apr 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.2-0.20220428003536.78e7f22
- Update patches
- Replace include for newer ansible version

* Wed Apr 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.2-0.20220427225600.5070371
- Replace include for newer ansible version

* Fri Apr 15 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.2-0.20220415222436.5070371
- Update patches
- Remove python2.7 workaround

* Sun Apr 10 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.2-0.20220410231850.743cb18
- Update patches
- Updated from OpenStack Ansible Tests

* Wed Apr 06 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.2-0.20220407012354.8ca0706
- Update patches
- Set py_modules to an empty list in setup.py

* Wed Apr 06 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.2-0.20220407002730.bd7543a
- Set py_modules to an empty list in setup.py

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.2-0.20220217222418.bd7543a
- Update patches
- Move zuul jobs layout to centos9 only for master branch

* Fri Jan 14 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.2-0.20220115005623.4613791
- Update patches
- Copy refactor of code quality issues

* Sun Dec 19 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.2-0.20211219124401.2aee98f
- Update patches
- Updated from OpenStack Ansible Tests

* Wed Nov 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20211125003755.7422a09
- Update patches
- Move config_template to plugins/action

* Wed Nov 17 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20211118001849.87410f1
- Update patches
- Fix repository URL in galaxy.yml

* Tue Nov 16 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20211117002845.bb1d445
- Update patches

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20211113002007.bb1d445
- Update patches
- Add option to install as collection

* Mon Jun 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210628222927.8a9b962
- Update patches
- Use ansible_facts[] instead of fact variables
- Add PKI role to functional testing

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210528122652.57efa55
- Update patches

* Mon May 17 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210517231806.57efa55
- Update patches
- Remove references to unsupported operating systems

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210513000812.59a80f9
- Update patches

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210427014720.59a80f9
- Update patches
- Run tests against localhost and container
- Updated from OpenStack Ansible Tests

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Oct 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Updated from OpenStack Ansible Tests

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix section overrides when commented option persist

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update config_template to use the builtin _get_remote_user function

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop to use the __future__ module.

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make code compatible with older ansible versions

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Modernise tox.ini and run OSA metal jobs in CI

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Templar: use available_variables

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Updated from OpenStack Ansible Tests

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add publish-to-pypi template which publishes tarball

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Updated from OpenStack Ansible Tests

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update docstheme for style

* Sat May 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Update contributor documentation

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Updated from OpenStack Ansible Tests

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Updated from OpenStack Ansible Tests

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to CentOS 8 based Tripleo job

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add option to enable / disable the template engine

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add traps for py3 and fix remote src

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Replace git.openstack.org with opendev.org"
- Replace git.openstack.org with opendev.org

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add fallback option when stating the source file"
- Add fallback option when stating the source file

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace ostempest job with plain tripleo standalone

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Updated from OpenStack Ansible Tests

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- PDF Documentation Build tox target


